@echo off
cd BIOS
echo Checking ROM file .....
ckmode DQ170000.100 DQ170 4032
if errorlevel 1 goto end

:flash
call AFUDOSA5.EXE DQ170000.100 /P /B /N /L
if errorlevel 1 goto end
fpt.exe -f DQ170000.100 -me
call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit
